Tremor documentation | Tremor version 1.0 - 20020403

# ov_raw_total

declared in "ivorbisfile.h";

Returns the total (compressed) bytes of the physical bitstream or a specified logical bitstream.

    ogg_int64_t ov_raw_total(OggVorbis_File *vf,int i);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisidec functions.
i
  Link to the desired logical bitstream. To retrieve the total bytes for the entire physical bitstream, this parameter should be set to -1.

### Return Values

> - OV_EINVAL means that the argument was invalid. In this case, the requested bitstream did not exist or the bitstream is nonseekable
> - `n` total length in compressed bytes of content if i=-1.
> - `n` length in compressed bytes of logical bitstream if i=1 to n.

copyright © 2002 Xiph.org | Ogg Vorbis
Tremor documentation | Tremor version 1.0 - 20020403